Skip to main content
GET
/
api
/
v1
/
scans
/
{scan_id}
/
features
/
{feature_id}
/
judge-prompts
Get Feature Judge Prompts Endpoint
curl --request GET \
  --url https://api.valiqor.com/api/v1/scans/{scan_id}/features/{feature_id}/judge-prompts \
  --header 'Authorization: Bearer <token>'
{
  "scan_id": "<string>",
  "feature_id": "<string>",
  "judge_prompts": [
    {
      "metric_name": "<string>",
      "prompt_preview": "<string>",
      "scoring_schema": {},
      "required_variables": [
        "<string>"
      ]
    }
  ],
  "count": 123
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

scan_id
string
required
feature_id
string
required

Response

Successful Response

Response for list of judge prompts

scan_id
string
required
feature_id
string
required
judge_prompts
JudgePromptResponse · object[]
required
count
integer
required